Bug 853252 - Review Request: datanommer - A storage consumer for the Fedora Message Bus (fedmsg)
Review Request: datanommer - A storage consumer for the Fedora Message Bus (f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 17:04 EDT by Ralph Bean
Modified: 2012-09-26 09:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 09:49:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puiterwijk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-08-30 17:04:02 EDT
Spec URL: http://threebean.org/rpm/datanommer.spec
SRPM URL: http://threebean.org/rpm/datanommer-0.1.3-1.fc17.src.rpm
Description: This is datanommer.  It is comprised of only a `fedmsg
<http://github.com/ralphbean/fedmsg>`_ consumer that stuffs every message
in a sqlalchemy database.

There are also a handful of CLI tools to dump information from the
database.

Fedora Account System Username: ralph

rpmlint output
--------------
--- ~/rpmbuild » rpmlint {SPECS,SRPMS}/datanommer* /var/lib/mock/fedora-17-x86_64/result/datanommer-0.1.3-1.fc17.*.rpm
datanommer.src: W: spelling-error %description -l en_US http -> HTTP
datanommer.src: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
datanommer.src: W: spelling-error %description -l en_US ralphbean -> Randolph
datanommer.src: W: spelling-error %description -l en_US sqlalchemy -> alchemy
datanommer.noarch: W: spelling-error Summary(en_US) fedmsg -> feeding
datanommer.noarch: W: spelling-error %description -l en_US fedmsg -> feeding
datanommer.noarch: W: spelling-error %description -l en_US http -> HTTP
datanommer.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
datanommer.noarch: W: spelling-error %description -l en_US ralphbean -> Randolph
datanommer.noarch: W: spelling-error %description -l en_US sqlalchemy -> alchemy
datanommer.noarch: W: no-manual-page-for-binary datanommer-create-db
datanommer.noarch: W: no-manual-page-for-binary datanommer-stats
datanommer.noarch: W: no-manual-page-for-binary datanommer-dump
datanommer.src: W: spelling-error %description -l en_US http -> HTTP
datanommer.src: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
datanommer.src: W: spelling-error %description -l en_US ralphbean -> Randolph
datanommer.src: W: spelling-error %description -l en_US sqlalchemy -> alchemy
3 packages and 1 specfiles checked; 0 errors, 17 warnings.


koji - f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4439604
koji - el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4439602
Comment 1 Mario Blättermann 2012-09-06 04:52:54 EDT
$ rpmlint -i -v *
datanommer.noarch: I: checking
datanommer.noarch: W: spelling-error Summary(en_US) fedmsg -> feeding
The value of this tag appears to be misspelled. Please double-check.

datanommer.noarch: W: spelling-error %description -l en_US fedmsg -> feeding
The value of this tag appears to be misspelled. Please double-check.

datanommer.noarch: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

datanommer.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
The value of this tag appears to be misspelled. Please double-check.

datanommer.noarch: W: spelling-error %description -l en_US ralphbean -> Randolph
The value of this tag appears to be misspelled. Please double-check.

datanommer.noarch: W: spelling-error %description -l en_US sqlalchemy -> alchemy
The value of this tag appears to be misspelled. Please double-check.

datanommer.noarch: I: checking-url http://pypi.python.org/pypi/datanommer (timeout 10 seconds)
datanommer.noarch: W: no-manual-page-for-binary datanommer-create-db
Each executable in standard binary directories should have a man page.

datanommer.noarch: W: no-manual-page-for-binary datanommer-stats
Each executable in standard binary directories should have a man page.

datanommer.noarch: W: no-manual-page-for-binary datanommer-dump
Each executable in standard binary directories should have a man page.

datanommer.src: I: checking
datanommer.src: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

datanommer.src: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
The value of this tag appears to be misspelled. Please double-check.

datanommer.src: W: spelling-error %description -l en_US ralphbean -> Randolph
The value of this tag appears to be misspelled. Please double-check.

datanommer.src: W: spelling-error %description -l en_US sqlalchemy -> alchemy
The value of this tag appears to be misspelled. Please double-check.

datanommer.src: I: checking-url http://pypi.python.org/pypi/datanommer (timeout 10 seconds)
datanommer.src: I: checking-url http://pypi.python.org/packages/source/d/datanommer/datanommer-0.1.3.tar.gz (timeout 10 seconds)
datanommer.spec: I: checking-url http://pypi.python.org/packages/source/d/datanommer/datanommer-0.1.3.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 13 warnings.

Ignoreable spelling errors.


Currently moksha 0.8.8-4 is in Fedora and EPEL testing. Once they are in stable, please remove python-bunch.

Usually, there's no whitespace between "%config" and "(noreplace)". I don't know if it also works this way...?

What's the reason to have gpl-3.0.txt and a symlink LICENSE which points to the real license file?
Comment 2 Ralph Bean 2012-09-06 09:17:51 EDT
(In reply to comment #1)
> Currently moksha 0.8.8-4 is in Fedora and EPEL testing. Once they are in
> stable, please remove python-bunch.

Okay.  There's a large bump to moksha up to 1.0.0-1 on the way, but I'll make a note to make sure python-bunch is handled properly.  http://bit.ly/Rdmxqs
 
> Usually, there's no whitespace between "%config" and "(noreplace)". I don't
> know if it also works this way...?

Cool, I've cut a new release here, 0.1.3-2 that removes that whitespace.  No good reason.  :)

> What's the reason to have gpl-3.0.txt and a symlink LICENSE which points to
> the real license file?

I'm experimenting with it as a convention.  It should make the LICENSE more recognizable without having to actually read its text first.  Do you think the symlink will be problematic?



Spec URL: http://threebean.org/rpm/datanommer.spec
SRPM URL: http://threebean.org/rpm/datanommer-0.1.3-2.fc17.src.rpm
Comment 3 Patrick Uiterwijk 2012-09-19 12:44:47 EDT
I'll take this review
Comment 4 Ralph Bean 2012-09-19 13:15:06 EDT
I've updated it to require the very latest fedmsg and moksha (which has resolved some build problems).


Spec URL: http://threebean.org/rpm/datanommer.spec
SRPM URL: http://threebean.org/rpm/datanommer-0.1.4-1.fc17.src.rpm
Comment 5 Ralph Bean 2012-09-19 13:32:37 EDT
Successful rawhide koji scratch build - http://koji.fedoraproject.org/koji/taskinfo?taskID=4504378
Comment 6 Patrick Uiterwijk 2012-09-22 05:36:05 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistent macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv3+)
NOT OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum.

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
See below - Package has a correct %clean section. 
See below - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. The license is only visible because of the LICENSE/gpl-3.0.txt files, no headers are visible in the files indicating their license.

2. I would prefer to call the license file COPYING, as is the standard. I'm not sure about the symlink, it seems very strange to me.

3. This spec is not allowed for el5 as it misses the buildroot and %clean sections. 

4. rpmlint has been mentioned before.


Could you please comment on or fix issues 1 and 2?
Comment 7 Mario Blättermann 2012-09-22 10:07:32 EDT
(In reply to comment #6)
> Issues: 
> 
> 1. The license is only visible because of the LICENSE/gpl-3.0.txt files, no
> headers are visible in the files indicating their license.
>

There are a lot of packages which ship the license file only, and don't have any license headers in the source files.

> 2. I would prefer to call the license file COPYING, as is the standard. I'm
> not sure about the symlink, it seems very strange to me.
> 
Admittedly, the symlink is somewhat unusual. But it works. LICENSE points to the right file. Perhaps we could clarify the situation by renaming LICENSE to LICENSE-GPLv3+.

BTW, there's no standard about the license file naming, we have LICENSE, COPYING, LEGAL and some more. In many cases, we even don't have any license file and have to pick up the license from file headers, websites etc.
Comment 8 Ralph Bean 2012-09-24 13:03:24 EDT
Here's a new upstream release that removes the symlink and renames the gpl-3.0.txt to just LICENSE which is the convention used in every other of my projects.

This little symlinking experiment seems to have been more trouble than it was worth.  :)

Spec URL: http://threebean.org/rpm/datanommer.spec
SRPM URL: http://threebean.org/rpm/datanommer-0.1.5-1.fc17.src.rpm
Comment 9 Patrick Uiterwijk 2012-09-25 16:13:13 EDT
I can't find any regressions, it does succesfully build in Koji, and the issues I noted have been resolved.

Therefore, this package has been APPROVED.
Comment 10 Ralph Bean 2012-09-25 16:15:58 EDT
New Package SCM Request
=======================
Package Name: datanommer
Short Description: A storage consumer for the Fedora Message Bus (fedmsg)
Owners: ralph
Branches: f18 f17 el6
InitialCC:
Comment 11 Gwyn Ciesla 2012-09-25 21:01:23 EDT
Git done (by process-git-requests).
Comment 12 Ralph Bean 2012-09-26 09:49:28 EDT
Updates -> https://admin.fedoraproject.org/updates/datanommer

Note You need to log in before you can comment on or make changes to this bug.